/*This program is used for setting up the serial port for communication.*/
#include<Reg930.h>
#include <stdio.h>

static short count = 0;


void serialSetup(void)
{
	/*Timer 2 is disabled and set up as the baud rate generator for a 9600
      baud rate with fclk = 12Mhz.*/
	TR2 = 0;
	 
	/*Timer 2 Control register is set up for timer 2 operation.*/     
	T2CON = 0x30;

	/*Timer 2 Reload/Capture registers set the baud rate for 9600.*/
	RCAP2H = 0xFF;
	RCAP2L = 0xEC;
//	RCAP2L = 0xD9;  // EC;
	
	/*Power control register enables the low clock mode, so that the clock is 3 MHz.*/
	PCON |= 0x20;
	
	/*Timer 2 is enabled.*/
	TR2 = 1;	

	/*The serial port control register is set up for mode 1 operation*/
	SCON = 0x50;

	/*Serial port interrupt priority is set to 1 which is next to the lowest.*/
 	PS = 1;	
	
	/*The TI bit is set to allow for transmission.*/
	TI = 1;

	count++;
	printf("\n\tYou have called this function %d times.\n", count);
	return;	
}   


